[arch-commits] Commit in sharutils/repos (3 files)

Eric Bélanger eric at archlinux.org
Fri Apr 17 22:46:01 EDT 2009


    Date: Friday, April 17, 2009 @ 22:46:00
  Author: eric
Revision: 35893

Merged revisions 356,35888 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/sharutils/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35888 | eric | 2009-04-17 22:07:47 -0400 (Fri, 17 Apr 2009) | 2 lines
  
  upgpkg: sharutils 4.6.3-2
      Added license, FHS man pages, Added info pages
........

Added:
  sharutils/repos/extra-i686/sharutils.install
    (from rev 35888, sharutils/trunk/sharutils.install)
Modified:
  sharutils/repos/extra-i686/	(properties)
  sharutils/repos/extra-i686/PKGBUILD

-------------------+
 PKGBUILD          |   16 ++++++++++------
 sharutils.install |   20 ++++++++++++++++++++
 2 files changed, 30 insertions(+), 6 deletions(-)


Property changes on: sharutils/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /sharutils/trunk:1
   + /sharutils/trunk:1-35892

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-18 02:42:42 UTC (rev 35892)
+++ extra-i686/PKGBUILD	2009-04-18 02:46:00 UTC (rev 35893)
@@ -4,17 +4,21 @@
 
 pkgname=sharutils
 pkgver=4.6.3
-pkgrel=1
+pkgrel=2
 pkgdesc="GNU shar makes so-called shell archives out of many files"
 arch=(i686 x86_64)
-depends=('gettext')
+url="http://www.gnu.org/software/sharutils/"
+license=('GPL')
+depends=('gettext' 'texinfo')
+install=sharutils.install
 source=(ftp://ftp.gnu.org/pub/gnu/$pkgname/REL-$pkgver/$pkgname-$pkgver.tar.gz)
-url="http://www.gnu.org/software/sharutils/"
 md5sums=('74127a560e59be6dfa8b59993eb0ca91')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --disable-nls
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --disable-nls || return 1
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR=$pkgdir install || return 1
+  rm ${pkgdir}/usr/share/info/dir
+  gzip ${pkgdir}/usr/share/info/*
 }

Copied: sharutils/repos/extra-i686/sharutils.install (from rev 35888, sharutils/trunk/sharutils.install)
===================================================================
--- extra-i686/sharutils.install	                        (rev 0)
+++ extra-i686/sharutils.install	2009-04-18 02:46:00 UTC (rev 35893)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(sharutils.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list